# Interface Result

Result interface definition for Human library

Contains all possible detection results

interface Result {
body : BodyResult [];
canvas ?: null | AnyCanvas ;
error : null | string;
face : FaceResult [];
gesture : GestureResult [];
hand : HandResult [];
height : number;
object : ObjectResult [];
performance : Record<string, number>;
persons : PersonResult [];
timestamp : number;
width : number;
}

- Defined in src/result.ts:209

##### Index

### Properties

body
canvas?
error
face
gesture
hand
height
object
performance
persons
timestamp
width

## Properties

### body

body: BodyResult []

BodyResult: detection & analysis results

- Defined in src/result.ts:213

### `Optional` canvas

canvas?: null | AnyCanvas

optional processed canvas that can be used to draw input on screen

- Defined in src/result.ts:223

### error

error: null | string

Last known error message

- Defined in src/result.ts:229

### face

face: FaceResult []

FaceResult: detection & analysis results

- Defined in src/result.ts:211

### gesture

gesture: GestureResult []

GestureResult: detection & analysis results

- Defined in src/result.ts:217

### hand

hand: HandResult []

HandResult: detection & analysis results

- Defined in src/result.ts:215

### height

height: number

Resolution height

- Defined in src/result.ts:233

### object

object: ObjectResult []

ObjectResult: detection & analysis results

- Defined in src/result.ts:219

### performance

performance: Record<string, number>

global performance object with timing values for each operation

- Defined in src/result.ts:221

### persons

persons: PersonResult []

getter property that returns unified persons object

- Defined in src/result.ts:227

### `Readonly` timestamp

timestamp: number

timestamp of detection representing the milliseconds elapsed since the UNIX epoch

- Defined in src/result.ts:225

### width

width: number

Resolution width

- Defined in src/result.ts:231